# There are no ELF objects in this package, so turn off debuginfo generation.
%global debug_package %{nil}

Name:           argparse
Version:        3.2
Release:        %mkrel 1
Summary:        Argument parser for modern C++
Group:          Development/C++

License:        MIT
URL:            https://github.com/p-ranav/argparse
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

%description
Argparse is an argument parser for C++17 in a single header file.

%package devel
Summary:        Argument parser for modern C++
BuildArch:      noarch
Provides:       %{name}-static = %{version}-%{release}

%description devel
Argparse is an argument parser for C++17 in a single header file.

%prep
%autosetup

# Install into the noarch directory
# https://github.com/p-ranav/argparse/pull/323
sed -i 's/CMAKE_INSTALL_LIBDIR/CMAKE_INSTALL_DATADIR/' CMakeLists.txt

# Fix end of line encoding
sed -i.orig 's/\r//' README.md
touch -r README.md.orig README.md
rm README.md.orig

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%{_vpath_builddir}/test/tests

%files devel
%doc README.md
%license LICENSE
%{_includedir}/argparse/
%{_datadir}/cmake/argparse/
%{_datadir}/pkgconfig/argparse.pc


%changelog
* Sat Mar 01 2025 papoteur <papoteur> 3.2-1.mga10
+ Revision: 2154284
- new version 3.2
- rebuild for python 3.13

* Sun Aug 25 2024 neoclust <neoclust> 3.1-1.mga10
+ Revision: 2091101
- New version 3.1

* Wed Jul 17 2024 papoteur <papoteur> 3.0-1.mga10
+ Revision: 2081904
- imported from Fedora for xeus-cling

